### A free/open-source library for quantitative finance

Classes
ql/methods/finitedifferences/americancondition.hpp File Reference

american option exercise condition More...

`#include <ql/methods/finitedifferences/fdtypedefs.hpp>`
`#include <ql/discretizedasset.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for americancondition.hpp:

## Classes

class | AmericanCondition
| American exercise condition. More...

## Detailed Description

american option exercise condition